%define name_uc RetroShare
%define alphatag b

Name:		retroshare
Version:	0.5.3
Release:	3.%{alphatag}%{?dist}
Summary:	Secure communication with friends

Group:		User Interface/Desktops
License:	GPLv2+ and Propietary
URL:		http://retroshare.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name_uc}-v%{version}%{alphatag}.tar.gz
Patch0:         %{name}-libretroshare.patch
Patch1:         %{name}-retroshare-gui.patch
Patch2:         %{name}-retroshare-nogui.patch
Patch3:         %{name}-linksdialog.patch
Patch4:         %{name}-linkscloudplugin.patch
Patch5:         %{name}-desktop.patch

BuildRequires:	qt-devel
BuildRequires:	openssl-devel
BuildRequires:	gpgme-devel
BuildRequires:	libupnp-devel
BuildRequires:	gnome-keyring-devel
BuildRequires:	libXScrnSaver-devel
BuildRequires:	desktop-file-utils

%description
RetroShare is a Open Source cross-platform, private and secure decentralised
commmunication platform. It lets you to securely chat and share files with your
friends and family, using a web-of-trust to authenticate peers and OpenSSL to
encrypt all communication. RetroShare provides filesharing, chat, messages,
forums and channels.

%prep
%setup -qn trunk
tar -xzvf build_scripts/Ubuntu/retroshare.tgz
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
qmake-qt4
make

%install
mkdir -p "$RPM_BUILD_ROOT/usr/bin/"
mkdir -p "$RPM_BUILD_ROOT/usr/share/applications"
mkdir -p "$RPM_BUILD_ROOT/usr/share/doc/retroshare"
mkdir -p "$RPM_BUILD_ROOT/usr/share/pixmaps"
mkdir -p "$RPM_BUILD_ROOT/usr/share/RetroShare"
install -p "libbitdht/src/bitdht/bdboot.txt" "$RPM_BUILD_ROOT/usr/share/RetroShare"
install -p "retroshare-gui/src/RetroShare" "$RPM_BUILD_ROOT/usr/bin/"
install -p "retroshare/usr/bin/retroshare" "$RPM_BUILD_ROOT/usr/bin/"
#install -p "retroshare/usr/share/applications/retroshare.desktop" "$RPM_BUILD_ROOT/usr/share/applications"
install -p "retroshare/usr/share/doc/retroshare/copyright" "$RPM_BUILD_ROOT/usr/share/doc/retroshare"
install -p "retroshare/usr/share/doc/retroshare/README" "$RPM_BUILD_ROOT/usr/share/doc/retroshare"
install -p "retroshare/usr/share/pixmaps/retroshare.png" "$RPM_BUILD_ROOT/usr/share/pixmaps"

desktop-file-install \
  --delete-original \
  --remove-key Encoding \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  retroshare%{_datadir}/applications/%{name}.desktop

%files
#%doc copyright README
%{_defaultdocdir}/%{name}
%{_bindir}/retroshare
%{_bindir}/RetroShare
%{_datadir}/applications/retroshare.desktop
%{_datadir}/pixmaps/retroshare.png
%dir %{_datadir}/RetroShare/bdboot.txt

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog

* Thu Apr 5 2012 Ismael Olea <ismael@olea.org> 0.5.3-3
- Olea repo release

* Sat Jan 28 2012 Aiman Baharna <aiman@globalstatic.net> 0.5.3-2
- last release from Aiman